Index: branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 2399)
+++ branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 2417)
@@ -1,7 +1,8 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! NEMO/OPA  :  1 - run manager      (namrun)
-!! namelists    2 - Domain           (namzgr, namzgr_sco, namdom)
+!! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namsbc_alb)
+!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
@@ -9,6 +10,7 @@
 !!              7 - dynamics         (namdyn_adv, namdyn_vor, namdyn_hpg, namdyn_spg, namdyn_ldf)
 !!              8 - Verical physics  (namzdf, namzdf_ric, namzdf_tke, namzdf_kpp, namzdf_ddm, namzdf_tmx)
-!!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
-!!              9 - miscellaneous    (namsol, nammpp, nammpp_dyndist, namctl)
+!!              9 - diagnostics      (namnc4, namtrd, namspr, namflo, namptr, namhsb)
+!!             10 - miscellaneous    (namsol, nammpp, nammpp_dyndist, namctl)
+!!             11 - Obs & Assim      (namobs, nam_asminc)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
@@ -17,7 +19,7 @@
 !!                   ***  Run management namelists  ***
 !!======================================================================
-!!   namrun            parameters of the run
-!!======================================================================
-
+!!   namrun        parameters of the run
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namrun        !   parameters of the run
@@ -43,19 +45,5 @@
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
 /
-!!======================================================================
-!!   namnc4            netcdf4 chunking and compression settings
-!!======================================================================
-!-----------------------------------------------------------------------
-&namnc4         !  netcdf4 chunking and compression settings     ("key_netcdf4")
-                !  (ignored if "key_netcdf4" is not used)
-!-----------------------------------------------------------------------
-   nn_nchunks_i   =   4       !  number of chunks in i-dimension
-   nn_nchunks_j   =   4       !  number of chunks in j-dimension
-   nn_nchunks_k   =   31      !  number of chunks in k-dimension
-                              !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
-                              !  is optimal for postprocessing which works exclusively with horizontal slabs
-   ln_nc4zip      =   .TRUE.  !  (T) use netcdf4 chunking and compression
-                              !  (F) ignore chunking information and produce netcdf3-compatible files
-/
+
 !!======================================================================
 !!                      ***  Domain namelists  ***
@@ -64,6 +52,8 @@
 !!   namzgr_sco   s-coordinate or hybrid z-s-coordinate
 !!   namdom       space and time domain (bathymetry, mesh, timestep)
-!!======================================================================
-
+!!   namdta_tem   data: temperature                                     ("key_dtatem")
+!!   namdta_sal   data: salinity                                        ("key_dtasal")
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namzgr        !   vertical coordinate
@@ -103,40 +93,61 @@
    rn_rdth     =  800.           !  depth variation of tracer time step  (used if nacc=1)
 /
+!-----------------------------------------------------------------------
+&namdta_tem    !   data : temperature                                   ("key_dtatem")
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!              !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_tem = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.  , .true., 'yearly'   , ' '      , ' '
+   !
+   cn_dir       = './'     !  root directory for the location of the runoff files
+/
+!-----------------------------------------------------------------------
+&namdta_sal    !   data : salinity                                      ("key_dtasal")
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!              !           !  (if <0  months)     !   name   !   (logical)  ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_sal      =  'data_1m_salinity_nomask',  -1  ,'vosaline',    .true.    , .true., 'yearly'   , ''       , ' '
+   !
+   cn_dir      = './'      !  root directory for the location of the runoff files
+/
+
 !!======================================================================
 !!            ***  Surface Boundary Condition namelists  ***
 !!======================================================================
-!!   namsbc        surface boundary condition
-!!   namsbc_ana    analytical         formulation
-!!   namsbc_flx    flux               formulation
-!!   namsbc_clio   CLIO bulk formulea formulation
-!!   namsbc_core   CORE bulk formulea formulation
-!!   namsbc_cpl    CouPLed            formulation                       ("key_coupled")
-!!   namtra_qsr    penetrative solar radiation
-!!   namsbc_rnf    river runoffs
-!!   namsbc_ssr    sea surface restoring term (for T and/or S)
-!!   namsbc_alb    albedo parameters
-!!======================================================================
-
+!!   namsbc          surface boundary condition
+!!   namsbc_ana      analytical         formulation
+!!   namsbc_flx      flux               formulation
+!!   namsbc_clio     CLIO bulk formulea formulation
+!!   namsbc_core     CORE bulk formulea formulation
+!!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
+!!   namsbc_cpl_co2  coupled ocean/biogeo/atmosphere model              ("key_cpl_carbon_cycle")
+!!   namtra_qsr      penetrative solar radiation
+!!   namsbc_rnf      river runoffs
+!!   namsbc_apr      Atmospheric Pressure
+!!   namsbc_ssr      sea surface restoring term (for T and/or S)
+!!   namsbc_alb      albedo parameters
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
    nn_fsbc     = 1         !  frequency of surface boundary condition computation 
-                           !               (= the frequency of sea-ice model call)
-   ln_ana      = .true.    !  analytical formulation (T => fill namsbc_ana ) 
-   ln_flx      = .false.   !  flux formulation       (T => fill namsbc_flx )
-   ln_blk_clio = .false.   !  CLIO bulk formulation  (T => fill namsbc_clio) 
-   ln_blk_core = .false.   !  CORE bulk formulation  (T => fill namsbc_core) 
-   ln_cpl      = .false.   !  Coupled formulation    (T => fill namsbc_cpl )
+                           !     (also = the frequency of sea-ice model call)
+   ln_ana      = .true.    !  analytical formulation                    (T => fill namsbc_ana ) 
+   ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
+   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio) 
+   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core) 
+   ln_cpl      = .false.   !  Coupled formulation                       (T => fill namsbc_cpl )
    ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
    nn_ice      = 0         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
-                           !  =2 ice-model used                             ("key_lim3" or "key_lim2)
+                           !  =2 ice-model used                         ("key_lim3" or "key_lim2)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
    ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
-   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
-                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
-                           !                     =2 annual global mean of e-p-r set to zero
-                           !                     =3 global emp set to zero and spread out over erp area
+                           !     =1 global mean of e-p-r set to zero at each time step 
+                           !     =2 annual global mean of e-p-r set to zero
+                           !     =3 global emp set to zero and spread out over erp area
 /
 !-----------------------------------------------------------------------
@@ -153,12 +164,12 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'utau'       ,        24         ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_vtau     = 'vtau'       ,        24         ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qtot     = 'qtot'       ,        24         ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qsr      = 'qsr'        ,        24         ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_emp      = 'emp'        ,        24         ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'utau'      ,        24         , 'utau'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_vtau     = 'vtau'      ,        24         , 'vtau'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_qtot     = 'qtot'      ,        24         , 'qtot'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_qsr      = 'qsr'       ,        24         , 'qsr'     , .false.      , .false., 'yearly'  , ''       , ''
+   sn_emp      = 'emp'       ,        24         , 'emp'     , .false.      , .false., 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the flux files
 /      
@@ -166,14 +177,14 @@
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'taux_1m'    ,       -1          , 'sozotaux' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_vtau     = 'tauy_1m'    ,       -1          , 'sometauy' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_wndm     = 'flx'        ,       -1          , 'socliowi' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_tair     = 'flx'        ,       -1          , 'socliot2' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_humi     = 'flx'        ,       -1          , 'socliohu' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_ccov     = 'flx'        ,       -1          , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_prec     = 'flx'        ,       -1          , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'taux_1m'   ,       -1          , 'sozotaux',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_vtau     = 'tauy_1m'   ,       -1          , 'sometauy',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_wndm     = 'flx'       ,       -1          , 'socliowi',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_tair     = 'flx'       ,       -1          , 'socliot2',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_humi     = 'flx'       ,       -1          , 'socliohu',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_ccov     = 'flx'       ,       -1          , 'socliocl',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_prec     = 'flx'       ,       -1          , 'socliopl',   .false.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files are
 /
@@ -181,31 +192,58 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
-   sn_wndi     = 'u10_core'   ,       -1          , 'u10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'U1'
-   sn_wndj     = 'v10_core'   ,       -1          , 'v10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'V1'
-   sn_qsr      = 'qsw_core'   ,       -1          , 'swdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_qlw      = 'qlw_core'   ,       -1          , 'lwdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_tair     = 't2_core'    ,       -1          , 't2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_humi     = 'q2_core'    ,       -1          , 'q2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_prec     = 'precip_core',       -1          , 'precip'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_snow     = 'snow_core'  ,       -1          , 'snow'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_tdif     = 'taudif_core',       24          , 'taudif'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_wndi = 'u_10.15JUNE2009_orca2'       ,  6  , 'U_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Uwnd'
+   sn_wndj = 'v_10.15JUNE2009_orca2'       ,  6  , 'V_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Vwnd'
+   sn_qsr  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_qlw  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tair = 't_10.15JUNE2009_orca2'       ,  6  , 'T_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_humi = 'q_10.15JUNE2009_orca2'       ,  6  , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_prec = 'ncar_precip.15JUNE2009_orca2', -1  , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_snow = 'ncar_precip.15JUNE2009_orca2', -1  , 'SNOW'    ,   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tdif = 'taudif_core'                 , 24  , 'taudif'  ,   .false.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_2m       = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
    ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data ?
    rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
 /
 !-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
-!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
+!-----------------------------------------------------------------------
+!                                      ! send
+cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
+cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
+cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
+cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
+cn_snd_crt_grid   = 'T'                     !  'T'
+!                                      ! receive
+cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
+cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
+cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
+cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
+cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
+cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
+cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
+cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
+cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
+!-----------------------------------------------------------------------
+cn_snd_co2        = 'coupled'         ! send    :  'none' 'coupled'
+cn_rcv_co2        = 'coupled'         ! receive : 'none' 'coupled'
 /
 !-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_chl      = 'chlorophyll',        -1         , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_chl      ='chlorophyll',        -1         , 'CHLA'    ,   .true.     , .true. , 'yearly'  , ''       , ''
  
    cn_dir      = './'      !  root directory for the location of the runoff files
@@ -222,11 +260,12 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_rnf      = 'runoff_1m_nomask' ,  -1         , 'sorunoff' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_cnf      = 'runoff_1m_nomask' ,   0         , 'socoefr'  ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_s_rnf    = 'runoffs'          ,  24         , 'rosaline' ,    .true.      , .true.  ,   'yearly', ''       , ''
-   sn_t_rnf    = 'runoffs'          ,  24         , 'rotemper' ,    .true.      , .true.  ,   'yearly', ''       , ''
-   sn_dep_rnf  = 'runoffs'          ,   0         , 'rodepth'  ,    .false.     , .true.  ,   'yearly', ''       , ''
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_rnf      = 'runoff_1m_nomask' ,  -1        , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_cnf      = 'runoff_1m_nomask' ,   0        , 'socoefr' ,   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_s_rnf    = 'runoffs'          ,  24        , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_t_rnf    = 'runoffs'          ,  24        , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_dep_rnf  = 'runoffs'          ,   0        , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir       = './'      !  root directory for the location of the runoff files
    ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
@@ -244,6 +283,6 @@
 !              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_apr      = 'patm'    ,         -1        , 'somslpre',    .true.      , .true.  , 'yearly'  ,  ''      ,   ''
-!
+   sn_apr      = 'patm'    ,         -1        ,'somslpre',    .true.      , .true.  , 'yearly'  ,  ''      ,   ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files
    ln_ref_apr  = .false.   !  ref. pressure: global mean Patm (T) or a constant (F)
@@ -252,8 +291,8 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_sst      = 'sst_data'   ,        24         ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_sss      = 'sss_data'   ,        -1         ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_sst      = 'sst_data'  ,        24         ,  'sst'    ,    .false.   , .false., 'yearly'  , ''       , ''
+   sn_sss      = 'sss_data'  ,        -1         ,  'sss'    ,    .true.    , .true. , 'yearly'  , ''       , ''
     
    cn_dir      = './'      !  root directory for the location of the runoff files
@@ -264,5 +303,5 @@
    rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day]
    ln_sssr_bnd =   .false. !  flag to bound erp term (associated with nn_sssr=2)
-   rn_sssr_bnd =   0.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
+   rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
 /      
 !-----------------------------------------------------------------------
@@ -286,5 +325,5 @@
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
-
+!
 !-----------------------------------------------------------------------
 &namlbc        !   lateral momentum boundary condition
@@ -301,20 +340,20 @@
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
-    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
-    ln_obc_fla = .false.   !  Flather open boundary condition 
-    nn_obcdta  =    1      !  = 0 the obc data are equal to the initial state
+   ln_obc_clim = .false.   !  climatological obc data files (T) or not (F)
+   ln_vol_cst  = .true.    !  impose the total volume conservation (T) or not (F)
+   ln_obc_fla  = .false.   !  Flather open boundary condition 
+   nn_obcdta   =    1      !  = 0 the obc data are equal to the initial state
                            !  = 1 the obc data are read in 'obc.dta' files
-    cn_obcdta  = 'annual'  !  set to annual if obc datafile hold 1 year of data
+   cn_obcdta   = 'annual'  !  set to annual if obc datafile hold 1 year of data
                            !  set to monthly if obc datafile hold 1 month of data
-    rn_dpein   =    1.     !  damping time scale for inflow at east  open boundary
-    rn_dpwin   =    1.     !     -           -         -       west    -      -
-    rn_dpnin   =    1.     !     -           -         -       north   -      -
-    rn_dpsin   =    1.     !     -           -         -       south   -      -
-    rn_dpeob   = 3000.     !  time relaxation (days) for the east  open boundary
-    rn_dpwob   =   15.     !     -           -         -     west    -      -
-    rn_dpnob   = 3000.     !     -           -         -     north   -      -
-    rn_dpsob   =   15.     !     -           -         -     south   -      -
-    rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
+   rn_dpein    =    1.     !  damping time scale for inflow at east  open boundary
+   rn_dpwin    =    1.     !     -           -         -       west    -      -
+   rn_dpnin    =    1.     !     -           -         -       north   -      -
+   rn_dpsin    =    1.     !     -           -         -       south   -      -
+   rn_dpeob    = 3000.     !  time relaxation (days) for the east  open boundary
+   rn_dpwob    =   15.     !     -           -         -     west    -      -
+   rn_dpnob    = 3000.     !     -           -         -     north   -      -
+   rn_dpsob    =   15.     !     -           -         -     south   -      -
+   rn_volemp   =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
 /
@@ -322,39 +361,40 @@
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
-    nn_cln_update = 3      !  baroclinic update frequency
-    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
-    rn_sponge_tra = 2880.  !  coefficient for tracer   sponge layer [s]
-    rn_sponge_dyn = 2880.  !  coefficient for dynamics sponge layer [s]
+   nn_cln_update = 3       !  baroclinic update frequency
+   ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
+   rn_sponge_tra = 2880.   !  coefficient for tracer   sponge layer [s]
+   rn_sponge_dyn = 2880.   !  coefficient for dynamics sponge layer [s]
 /
 !-----------------------------------------------------------------------
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-    cn_mask    =  ''                        !  name of mask file (if ln_bdy_mask=.TRUE.)
-    cn_dta_frs_T  = 'bdydata_grid_T.nc'     !  name of data file (T-points)
-    cn_dta_frs_U  = 'bdydata_grid_U.nc'     !  name of data file (U-points)
-    cn_dta_frs_V  = 'bdydata_grid_V.nc'     !  name of data file (V-points)
-    cn_dta_fla_T  = 'bdydata_bt_grid_T.nc'  !  name of data file for Flather condition (T-points)
-    cn_dta_fla_U  = 'bdydata_bt_grid_U.nc'  !  name of data file for Flather condition (U-points)
-    cn_dta_fla_V  = 'bdydata_bt_grid_V.nc'  !  name of data file for Flather condition (V-points)
-    ln_clim    = .false.                    !  contain 1 (T) or 12 (F) time dumps and be cyclic
-    ln_vol     = .false.                    !  total volume correction (see volbdy parameter)
-    ln_mask    = .false.                    !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
-    ln_tides   = .false.                    !  Apply tidal harmonic forcing with Flather condition
-    ln_dyn_fla = .false.                    !  Apply Flather condition to velocities
-    ln_tra_frs = .false.                    !  Apply FRS condition to temperature and salinity 
-    ln_dyn_frs = .false.                    !  Apply FRS condition to velocities
-    nn_rimwidth    =  9                     !  width of the relaxation zone
-    nn_dtactl      =  1                     !  = 0, bdy data are equal to the initial state
-                                            !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_volctl      =  0                     !  = 0, the total water flux across open boundaries is zero
-                                            !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&nambdy_tide     ! tidal forcing at unstructured boundaries              
-!-----------------------------------------------------------------------
-    filtide      = 'bdytide_'           !  file name root of tidal forcing files
-    tide_cpt     = 'M2','S1'            !  names of tidal components used
-    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+   cn_mask       =  ''                     !  name of mask file (if ln_bdy_mask=.TRUE.)
+   cn_dta_frs_T  = 'bdydata_grid_T.nc'     !  name of data file (T-points)
+   cn_dta_frs_U  = 'bdydata_grid_U.nc'     !  name of data file (U-points)
+   cn_dta_frs_V  = 'bdydata_grid_V.nc'     !  name of data file (V-points)
+   cn_dta_fla_T  = 'bdydata_bt_grid_T.nc'  !  name of data file for Flather condition (T-points)
+   cn_dta_fla_U  = 'bdydata_bt_grid_U.nc'  !  name of data file for Flather condition (U-points)
+   cn_dta_fla_V  = 'bdydata_bt_grid_V.nc'  !  name of data file for Flather condition (V-points)
+
+   ln_clim    = .false.    !  contain 1 (T) or 12 (F) time dumps and be cyclic
+   ln_vol     = .false.    !  total volume correction (see volbdy parameter)
+   ln_mask    = .false.    !  boundary mask from filbdy_mask (T), boundaries are on edges of domain (F)
+   ln_tides   = .false.    !  Apply tidal harmonic forcing with Flather condition
+   ln_dyn_fla = .false.    !  Apply Flather condition to velocities
+   ln_tra_frs = .false.    !  Apply FRS condition to temperature and salinity 
+   ln_dyn_frs = .false.    !  Apply FRS condition to velocities
+   nn_rimwidth=  9         !  width of the relaxation zone
+   nn_dtactl  =  1         !  = 0, bdy data are equal to the initial state
+                           !  = 1, bdy data are read in 'bdydata   .nc' files
+   nn_volctl  =  0         !  = 0, the total water flux across open boundaries is zero
+                           !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&nambdy_tide   !  tidal forcing at unstructured boundaries              
+!-----------------------------------------------------------------------
+   filtide     = 'bdytide_'           !  file name root of tidal forcing files
+   tide_cpt    = 'M2','S1'            !  names of tidal components used
+   tide_speed  = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+   ln_tide_date= .false.              !  adjust tidal harmonics for start date of run
 /
 
@@ -363,8 +403,8 @@
 !!======================================================================
 !!   nambfr        bottom friction
-!!   nambbc        bottom temperature boundary condition                
+!!   nambbc        bottom temperature boundary condition               
 !!   nambbl        bottom boundary layer scheme                         ("key_trabbl")
 !!======================================================================
-
+!
 !-----------------------------------------------------------------------
 &nambfr        !   bottom friction
@@ -395,4 +435,5 @@
    rn_gambbl   =  10.    !  advective bbl coefficient                 [s]
 /
+
 !!======================================================================
 !!                        Tracer (T & S ) namelists
@@ -403,5 +444,5 @@
 !!   namtra_dmp    T & S newtonian damping                              ("key_tradmp")
 !!======================================================================
-
+!
 !-----------------------------------------------------------------------
 &nameos        !   ocean physical parameters
@@ -422,21 +463,22 @@
    ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
+   ln_traadv_qck    =  .false.  !  QUCIKEST scheme                 
 /
 !-----------------------------------------------------------------------
 &namtra_ldf    !   lateral diffusion scheme for tracer 
 !-----------------------------------------------------------------------
-                           !  Type of the operator : 
-   ln_traldf_lap    =  .true.   !     laplacian operator       
-   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
-                           !  Direction of action  :
-   ln_traldf_level  =  .false.  !     iso-level                
-   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
-   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
-   ln_traldf_grif   =  .false.  !     griffies skew flux formulation    (require "key_ldfslp")   ! UNDER TEST, DO NOT USE
-   ln_traldf_gdia   =  .false.  !     griffies operator strfn diagnostics (require "key_ldfslp") ! UNDER TEST, DO NOT USE
-                           !  Coefficient
-   rn_aht_0         =  1000.    !     horizontal eddy diffusivity for tracers [m2/s]
-   rn_ahtb_0        =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
-   rn_aeiv_0        =     0.    !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+   !                       !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !  laplacian operator       
+   ln_traldf_bilap  =  .false.  !  bilaplacian operator     
+   !                       !  Direction of action  :
+   ln_traldf_level  =  .false.  !  iso-level                
+   ln_traldf_hor    =  .false.  !  horizontal (geopotential)            (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !  iso-neutral                          (require "key_ldfslp")
+   ln_traldf_grif   =  .false.  !  griffies skew flux formulation       (require "key_ldfslp")  ! UNDER TEST, DO NOT USE
+   ln_traldf_gdia   =  .false.  !  griffies operator strfn diagnostics  (require "key_ldfslp")  ! UNDER TEST, DO NOT USE
+   !                       !  Coefficient
+   rn_aht_0         =  1000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !  background eddy diffusivity for ldf_iso [m2/s]
+   rn_aeiv_0        =     0.    !  eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
 /
 !-----------------------------------------------------------------------
@@ -454,4 +496,5 @@
    nn_file     =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
+
 !!======================================================================
 !!                      ***  Dynamics namelists  ***
@@ -463,5 +506,5 @@
 !!   namdyn_ldf    lateral diffusion scheme
 !!======================================================================
-
+!
 !-----------------------------------------------------------------------
 &namdyn_adv    !   formulation of the momentum advection
@@ -504,27 +547,28 @@
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-                           !  Type of the operator : 
+   !                       !  Type of the operator : 
    ln_dynldf_lap    =  .true.   !  laplacian operator         
    ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
-                           !  Direction of action  : 
+   !                       !  Direction of action  : 
    ln_dynldf_level  =  .false.  !  iso-level               
    ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
    ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
-                           !  Coefficient
+   !                       !  Coefficient
    rn_ahm_0_lap     = 100000.   !  horizontal laplacian eddy viscosity   [m2/s]
    rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
    rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s]
 /
+
 !!======================================================================
 !!             Tracers & Dynamics vertical physics namelists
 !!======================================================================
-!!       namzdf        vertical physics
-!!       namzdf_ric    richardson number dependent vertical mixing      ("key_zdfric"      )
-!!       namzdf_tke    TKE dependent vertical mixing                    ("key_zdftke"      )
-!!       namzdf_kpp    KPP dependent vertical mixing                    ("key_zdfkpp"      )
-!!       namzdf_ddm    double diffusive mixing parameterization         ("key_zdfddm"      )
-!!       namzdf_tmx    tidal mixing parameterization                    ("key_zdftmx"      )
-!!======================================================================
-
+!!    namzdf        vertical physics
+!!    namzdf_ric    richardson number dependent vertical mixing         ("key_zdfric")
+!!    namzdf_tke    TKE dependent vertical mixing                       ("key_zdftke")
+!!    namzdf_kpp    KPP dependent vertical mixing                       ("key_zdfkpp")
+!!    namzdf_ddm    double diffusive mixing parameterization            ("key_zdfddm")
+!!    namzdf_tmx    tidal mixing parameterization                       ("key_zdftmx")
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namzdf        !   vertical physics
@@ -591,20 +635,20 @@
 /
 !-----------------------------------------------------------------------
-&namzdf_gls                !   GLS vertical diffusion  ("key_zdfgls")
-!-----------------------------------------------------------------------
-   rn_emin        = 1.e-6  !  minimum value of e   [m2/s2]
-   rn_epsmin      = 1.e-12 !  minimum value of eps [m2/s3]
-   ln_length_lim  = .true. !  limit on the dissipation rate under stable stratification (Galperin et al., 1988)
-   rn_clim_galp   = 0.53   !  galperin limit
-   ln_crban       = .TRUE. !  Use Craig & Banner (1994) surface wave mixing parametrisation
-   ln_sigpsi      = .TRUE. !  Activate or not Burchard 2001 mods on psi schmidt number in the wb case
-   rn_crban       = 100.   !  Craig and Banner 1994 constant for wb tke flux
-   rn_charn       = 70000. !  Charnock constant for wb induced roughness length
-   nn_tkebc_surf  =   1    !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
-   nn_tkebc_bot   =   1    !  bottom tke condition (0/1=Dir/Neum)
-   nn_psibc_surf  =   1    !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
-   nn_psibc_bot   =   1    !  bottom psi condition (0/1=Dir/Neum)
-   nn_stab_func   =   2    !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
-   nn_clos        =   1    !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
+&namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
+!-----------------------------------------------------------------------
+   rn_emin       = 1.e-6   !  minimum value of e   [m2/s2]
+   rn_epsmin     = 1.e-12  !  minimum value of eps [m2/s3]
+   ln_length_lim = .true.  !  limit on the dissipation rate under stable stratification (Galperin et al., 1988)
+   rn_clim_galp  = 0.53    !  galperin limit
+   ln_crban      = .TRUE.  !  Use Craig & Banner (1994) surface wave mixing parametrisation
+   ln_sigpsi     = .TRUE.  !  Activate or not Burchard 2001 mods on psi schmidt number in the wb case
+   rn_crban      = 100.    !  Craig and Banner 1994 constant for wb tke flux
+   rn_charn      = 70000.  !  Charnock constant for wb induced roughness length
+   nn_tkebc_surf =   1     !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_tkebc_bot  =   1     !  bottom tke condition (0/1=Dir/Neum)
+   nn_psibc_surf =   1     !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_psibc_bot  =   1     !  bottom psi condition (0/1=Dir/Neum)
+   nn_stab_func  =   2     !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
+   nn_clos       =   1     !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
 /
 !-----------------------------------------------------------------------
@@ -624,4 +668,5 @@
    rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
 /
+
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***
@@ -632,5 +677,5 @@
 !!   namsol            elliptic solver / island / free surface 
 !!======================================================================
-
+!
 !-----------------------------------------------------------------------
 &namsol        !   elliptic solver / island / free surface 
@@ -676,15 +721,27 @@
 
 !!======================================================================
-!!                       ***  Diagnostics namelists  ***
-!!======================================================================
+!!                  ***  Diagnostics namelists  ***
+!!======================================================================
+!!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
 !!   namtrd       dynamics and/or tracer trends                         ("key_trddyn","key_trdtra","key_trdmld")
-!!   namgap       level mean model-data gap                             ("key_diagap")
 !!   namflo       float parameters                                      ("key_float")
 !!   namptr       Poleward Transport Diagnostics
-!!======================================================================
-
+!!   namhsb       Heat and salt budgets 
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
+!-----------------------------------------------------------------------
+   nn_nchunks_i=   4       !  number of chunks in i-dimension
+   nn_nchunks_j=   4       !  number of chunks in j-dimension
+   nn_nchunks_k=   31      !  number of chunks in k-dimension
+                           !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
+                           !  is optimal for postprocessing which works exclusively with horizontal slabs
+   ln_nc4zip   = .TRUE.    !  (T) use netcdf4 chunking and compression
+                           !  (F) ignore chunking information and produce netcdf3-compatible files
+/
 !-----------------------------------------------------------------------
 &namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
-!              !       or mixed-layer trends or barotropic vorticity    ('key_trdmld' or  "key_trdvor")
+!              !       or mixed-layer trends or barotropic vorticity    ("key_trdmld" or     "key_trdvor")
 !-----------------------------------------------------------------------
    nn_trd      = 365       !  time step frequency dynamics and tracers trends
@@ -697,17 +754,11 @@
 /
 !-----------------------------------------------------------------------
-&namgap       !   level mean model-data gap                             ('key_diagap')
-!-----------------------------------------------------------------------
-   nn_gap     =  15        !  time-step frequency of model-data gap computation
-   nn_prg     =  10        !  time-step frequency of gap print in model output
-/
-!-----------------------------------------------------------------------
 &namflo       !   float parameters                                      ("key_float")
 !-----------------------------------------------------------------------
-    ln_rstflo = .false.    !  float restart (T) or not (F)
-    nn_writefl=      75    !  frequency of writing in float output file 
-    nn_stockfl=    5475    !  frequency of creation of the float restart file 
-    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
-    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+   ln_rstflo  = .false.    !  float restart (T) or not (F)
+   nn_writefl =      75    !  frequency of writing in float output file 
+   nn_stockfl =    5475    !  frequency of creation of the float restart file 
+   ln_argo    = .false.    !  Argo type floats (stay at the surface each 10 days)
+   ln_flork4  = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
                            !  or computed with Blanke' scheme (F)
 /
@@ -716,7 +767,8 @@
 !-----------------------------------------------------------------------
    ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
-   ln_diaznl  = .false.    !  Add zonal means and meridional stream functions
-   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+   ln_diaznl  = .true.     !  Add zonal means and meridional stream functions
+   ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
+   ln_ptrcomp = .true.     !  Add decomposition : overturning
    nn_fptr    =  1         !  Frequency of ptr computation [time step]
    nn_fwri    =  15        !  Frequency of ptr outputs [time step]
@@ -727,110 +779,92 @@
    ln_diahsb  = .false.     !  check the heat and salt budgets (T) or not (F)
 /
-!-----------------------------------------------------------------------
-!       namobs    observation usage switch
-!-----------------------------------------------------------------------
-!
-!  ln_t3d                  Logical switch for T profile observations         
-!  ln_s3d                  Logical switch for S profile observations          
-!  ln_ena                  Logical switch for ENACT insitu data set           
-!  ln_cor                  Logical switch for Coriolis insitu data set       
-!  ln_profb                Logical switch for feedback insitu data set     
-!  ln_sla                  Logical switch for SLA observations               
-!  ln_sladt                Logical switch for AVISO SLA data              
-!  ln_slafb                Logical switch for feedback SLA data            
-!  ln_ssh                  Logical switch for SSH observations              
-!  ln_sst                  Logical switch for SST observations              
-!  ln_reysst               Logical switch for Reynolds observations       
-!  ln_ghrsst               Logical switch for GHRSST observations          
-!  ln_sstfb                Logical switch for feedback SST data          
-!  ln_sss                  Logical switch for SSS observations              
-!  ln_seaice               Logical switch for Sea Ice observations        
-!  ln_vel3d                Logical switch for velocity observations         
-!  ln_velavcur             Logical switch for velocity daily av. cur.    
-!  ln_velhrcur             Logical switch for velocity high freq. cur.   
-!  ln_velavadcp            Logical switch for velocity daily av. ADCP  
-!  ln_velhradcp            Logical switch for velocity high freq. ADCP
-!  ln_velfb                Logical switch for feedback velocity data       
-!  ln_grid_global          Global distribtion of observations         
-!  ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
-!  grid_search_file        Grid search lookup file header 
-!  enactfiles              ENACT input observation file names 
-!  coriofiles              Coriolis input observation file name  
-!  profbfiles              Profile feedback input observation file name 
-!  ln_profb_enatim         Enact feedback input time setting switch    
-!  slafilesact             Active SLA input observation file name
-!  slafilespas             Passive SLA input observation file name 
-!  slafbfiles              Feedback SLA input observation file name 
-!  sstfiles                GHRSST input observation file name       
-!  sstfbfiles              Feedback SST input observation file name 
-!  seaicefiles             Sea Ice input observation file name 
-!  velavcurfiles           Vel. cur. daily av. input file name  
-!  velhvcurfiles           Vel. cur. high freq. input file name  
-!  velavadcpfiles          Vel. ADCP daily av. input file name    
-!  velhvadcpfiles          Vel. ADCP high freq. input file name 
-!  velfbfiles              Vel. feedback input observation file name 
-!  dobsini                 Initial date in window YYYYMMDD.HHMMSS       
-!  dobsend                 Final date in window YYYYMMDD.HHMMSS         
-!  n1dint                  Type of vertical interpolation method        
-!  n2dint                  Type of horizontal interpolation method       
-!  ln_nea                  Rejection of observations near land switch    
-!  nmsshc                  MSSH correction scheme                         
-!  mdtcorr                 MDT  correction                               
-!  mdtcutoff               MDT cutoff for computed correction          
-!  ln_altbias              Logical switch for alt bias                
-!  ln_ignmis               Logical switch for ignoring missing files   
-!  endailyavtypes          ENACT daily average types                    
- &namobs
-   ln_t3d = .false.
-   ln_s3d = .false.
-   ln_ena = .false.
-   ln_profb = .false.
-   ln_sla = .false.
-   ln_sladt = .false.
-   ln_slafb = .false.
-   ln_sst = .false.
-   ln_sstfb = .false.
-   nmsshc = 0
+
+!!======================================================================
+!!            ***  Observation & Assimilation namelists ***
+!!======================================================================
+!!   namobs       observation and model comparison                      ('key_diaobs')
+!!   nam_asminc   assimilation increments                               ('key_asminc')
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&namobs       !  observation usage switch                               ('key_diaobs')
+!-----------------------------------------------------------------------
+   ln_t3d     = .false.    ! Logical switch for T profile observations         
+   ln_s3d     = .false.    ! Logical switch for S profile observations          
+   ln_ena     = .false.    ! Logical switch for ENACT insitu data set           
+   !                       !     ln_cor                  Logical switch for Coriolis insitu data set       
+   ln_profb   = .false.    ! Logical switch for feedback insitu data set     
+   ln_sla     = .false.    ! Logical switch for SLA observations               
+
+   ln_sladt   = .false.    ! Logical switch for AVISO SLA data              
+
+   ln_slafb   = .false.    ! Logical switch for feedback SLA data            
+                           !     ln_ssh                  Logical switch for SSH observations              
+
+   ln_sst     = .false.    ! Logical switch for SST observations              
+                           !     ln_reysst               Logical switch for Reynolds observations       
+                           !     ln_ghrsst               Logical switch for GHRSST observations          
+
+   ln_sstfb   = .false.    ! Logical switch for feedback SST data          
+                           !     ln_sss                  Logical switch for SSS observations              
+                           !     ln_seaice               Logical switch for Sea Ice observations        
+                           !     ln_vel3d                Logical switch for velocity observations         
+                           !     ln_velavcur             Logical switch for velocity daily av. cur.    
+                           !     ln_velhrcur             Logical switch for velocity high freq. cur.   
+                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP  
+                           !     ln_velhradcp            Logical switch for velocity high freq. ADCP
+                           !     ln_velfb                Logical switch for feedback velocity data       
+                           !     ln_grid_global          Global distribtion of observations         
+                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
+                           !     grid_search_file        Grid search lookup file header 
+                           !     enactfiles              ENACT input observation file names 
+                           !     coriofiles              Coriolis input observation file name  
+   !                       ! profbfiles: Profile feedback input observation file name 
    profbfiles = 'profiles_01.nc'
+                           !     ln_profb_enatim         Enact feedback input time setting switch    
+                           !     slafilesact             Active SLA input observation file name
+                           !     slafilespas             Passive SLA input observation file name 
+   !                       ! slafbfiles: Feedback SLA input observation file name 
    slafbfiles = 'sla_01.nc'
+                           !     sstfiles                GHRSST input observation file name       
+   !                       ! sstfbfiles: Feedback SST input observation file name 
    sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
-   ln_altbias = .false.
+                           !     seaicefiles             Sea Ice input observation file name 
+                           !     velavcurfiles           Vel. cur. daily av. input file name  
+                           !     velhvcurfiles           Vel. cur. high freq. input file name  
+                           !     velavadcpfiles          Vel. ADCP daily av. input file name    
+                           !     velhvadcpfiles          Vel. ADCP high freq. input file name 
+                           !     velfbfiles              Vel. feedback input observation file name 
+                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS       
+                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS         
+                           !     n1dint                  Type of vertical interpolation method        
+                           !     n2dint                  Type of horizontal interpolation method       
+                           !     ln_nea                  Rejection of observations near land switch    
+   nmsshc     = 0          ! MSSH correction scheme                         
+                           !     mdtcorr                 MDT  correction                               
+                           !     mdtcutoff               MDT cutoff for computed correction          
+   ln_altbias = .false.    ! Logical switch for alt bias                
+   ln_ignmis  = .true.     ! Logical switch for ignoring missing files   
+                           !     endailyavtypes   ENACT daily average types                    
    ln_grid_global = .true.
    ln_grid_search_lookup = .false.
-   ln_ignmis = .true.  
 / 
 !-----------------------------------------------------------------------
-!       nam_asminc    assimilation increments namelist
-!-----------------------------------------------------------------------
-! ln_bkgwri   Logical switch for writing out background state 
-! ln_trjwri   Logical switch for writing out state trajectory
-! ln_trainc   Logical switch for applying tracer increments
-! ln_dyninc   Logical switch for applying velocity increments
-! ln_sshinc   Logical switch for applying SSH increments 
-! ln_asmdin   Logical switch for Direct Initialization (DI)
-! ln_asmiau   Logical switch for Incremental Analysis Updating (IAU)
-! nitbkg      Timestep of background in [0,nitend-nit000-1]
-! nitdin      Timestep of background for DI in [0,nitend-nit000-1]
-! nitiaustr   Timestep of start of IAU interval in [0,nitend-nit000-1]
-! nitiaufin   Timestep of end of IAU interval in [0,nitend-nit000-1]
-! niaufn      Type of IAU weighting function
-! nittrjfrq   Frequency of trajectory output for 4D-VAR
-! ln_salfix   Logical switch for ensuring that the sa > salfixmin
-! salfixmin   Minimum salinity after applying the increments
-&nam_asminc
-    ln_bkgwri = .false.
-    ln_trjwri = .false.
-    ln_trainc = .false.
-    ln_dyninc = .false.
-    ln_sshinc = .false.
-    ln_asmdin = .false.
-    ln_asmiau = .false.
-    nitbkg = 0
-    nitdin = 0
-    nitiaustr = 1
-    nitiaufin = 15
-    niaufn = 0
-    nittrjfrq = 0
-    ln_salfix = .false.
-    salfixmin = -9999
-/
+&nam_asminc   !   assimilation increments                               ('key_asminc')
+!-----------------------------------------------------------------------
+    ln_bkgwri = .false.    !  Logical switch for writing out background state 
+    ln_trjwri = .false.    !  Logical switch for writing out state trajectory
+    ln_trainc = .false.    !  Logical switch for applying tracer increments
+    ln_dyninc = .false.    !  Logical switch for applying velocity increments
+    ln_sshinc = .false.    !  Logical switch for applying SSH increments 
+    ln_asmdin = .false.    !  Logical switch for Direct Initialization (DI)
+    ln_asmiau = .false.    !  Logical switch for Incremental Analysis Updating (IAU)
+    nitbkg    = 0          !  Timestep of background in [0,nitend-nit000-1]
+    nitdin    = 0          !  Timestep of background for DI in [0,nitend-nit000-1]
+    nitiaustr = 1          !  Timestep of start of IAU interval in [0,nitend-nit000-1]
+    nitiaufin = 15         !  Timestep of end of IAU interval in [0,nitend-nit000-1]
+    niaufn    = 0          !  Type of IAU weighting function
+    nittrjfrq = 0          !  Frequency of trajectory output for 4D-VAR
+    ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
+    salfixmin = -9999      !  Minimum salinity after applying the increments
+/
